#
# spec file for package lphdisk (Version 0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         lphdisk
Summary:      Tool to create Suspend Partition
Version:      0.4
Release:      113
Copyright:    Artistic License
Group:        Utilities/System
Source:		lphdisk-%{version}.tar.gz
Patch:		lphdisk-%{version}.diff

%description
The lphdisk tool allows you to create a Suspend to Disk partition for
laptops that use Phoenix NoteBIOS. The tool is basically a linux
replacement for the DOS-only tool PHDISK.EXE from Phoenix.

Authors:
--------
    Patrick D. Ashmore <pda@procyon.com>

SuSE series: ap

%prep
%setup
%patch -p1

%build
make CC=gcc CFLAGS="$RPM_OPT_FLAGS"
# additionally gzip the man page
gzip -9 lphdisk.8 

%install
install -m 755 -o root -g root -s lphdisk /sbin/lphdisk
mkdir -p %{_defaultdocdir}/lphdisk
install -m 444 -o root -g root CREDITS %{_defaultdocdir}/lphdisk/CREDITS
install -m 444 -o root -g root ChangeLog %{_defaultdocdir}/lphdisk/ChangeLog
install -m 444 -o root -g root LICENSE %{_defaultdocdir}/lphdisk/LICENSE
install -m 444 -o root -g root NEWS %{_defaultdocdir}/lphdisk/NEWS
install -m 444 -o root -g root README %{_defaultdocdir}/lphdisk/README
install -m 444 -o root -g root TODO %{_defaultdocdir}/lphdisk/TODO
install -m 444 -o root -g root lphdisk.8.gz %{_mandir}/man8/lphdisk.8.gz

%files
/sbin/lphdisk
%{_defaultdocdir}/lphdisk/CREDITS
%{_defaultdocdir}/lphdisk/ChangeLog
%{_defaultdocdir}/lphdisk/LICENSE
%{_defaultdocdir}/lphdisk/NEWS
%{_defaultdocdir}/lphdisk/README
%{_defaultdocdir}/lphdisk/TODO
%{_mandir}/man8/lphdisk.8.gz

%changelog -n lphdisk
* Wed Aug 01 2001 - garloff@suse.de
- Don't use append flag when writing to partition (conflicts with
  blkdev-pagecache)
- Use RPM_OPT_FLAGS and strip before installation
* Wed Aug 09 2000 - and@suse.de
- initial release (0.4)
